Qt 5.6 | Qt 3D | C++ Classes | QLogicAspect

Qt 5.6.3 Reference Documentation

# QLogicAspect Class

(Qt3DLogic::QLogicAspect)

Inherits: | Qt3DCore::QAbstractAspect

- List of all members, including inherited members

## Public Functions

| QLogicAspect(QObject *parent = Q_NULLPTR)

## Reimplemented Public Functions

virtual QVector<Qt3DCore::QAspectJobPtr> | jobsToExecute(qint64 time)

## Protected Functions

void | registerBackendTypes()

- 2 protected functions inherited from Qt3DCore::QAbstractAspect

## Member Function Documentation

### QLogicAspect::QLogicAspect(QObject *parent = Q_NULLPTR)

Default constructs an instance of QLogicAspect.

### `[virtual]` QVector<Qt3DCore::QAspectJobPtr> QLogicAspect::jobsToExecute(qint64 time)

### `[protected]` void QLogicAspect::registerBackendTypes()